<template>
  <div class="hintbox" v-if="hintbox.show" style="width:100%">
    <div class="hintboxBG">
      <div class="hintboxCT">
        <div class="text">{{hintbox.text}}</div>
        <div class="btn" @click.stop.prevent="clickfunction($event)">确定</div>
      </div>
    </div>
    <div class="background" ></div>
    <div class="mask"></div>
  </div>
</template>

<script type="text/ecmascript-6">
  export default {
    props: {
      hintbox: {
        default() {
          return {
            text: '系统出错,请稍后重试或联系服务商',
          }
        }
      }
    },
    methods: {
      clickfunction() {
        this.$emit('close', this.hintbox.text)
      }
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss"  scoped>
  .hintboxBG {
    position: fixed;
    z-index: 1001;
    top: 4rem;
    left: 0.95rem;
    width: 5.6rem;
  }
  .mask{
    background-color: rgba(0, 0, 0, 0.6);
    width: 100%;
    height: 100%;
    z-index:999;
    position:fixed;
    top:0;
  }

  .hintboxCT {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
  }

  .hintbox .text, .hintbox .btn {
    position: relative;
    background-color: #fff;
    z-index: 1001;
  }

  .hintbox .text {
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0rem;
    word-break: break-all;
    width: 100%;
    min-height: 1.64rem;
    max-height: 6.5rem;
    overflow-y: scroll;
    padding: 0.2rem;
    color: #000;
    font-size: 0.32rem;
    line-height: .40rem;
    letter-spacing: 0.01rem;
    box-sizing: border-box;
    border-radius: 0.1rem 0.1rem 0 0;
  }

  .hintbox .btn {
    border-top: 1px solid #D8D8D8;
    width: 100%;
    height: 1rem;
    text-align: center;
    line-height: 1rem;
    font-size: 0.36rem;
    color: #FD7800;
    border-radius: 0 0 0.1rem 0.1rem;
  }

  .background {
    z-index: 1000;
    background-color: #000;
    opacity: 0.4;
  }


</style>
